Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List all currently available models and pricing metadata via GET https://api.xroute.ai/v1/models.
GET https://api.xroute.ai/v1/models
curl https://api.xroute.ai/v1/models \ -H "Authorization: Bearer $XROUTE_API_KEY"
{ "object": "list", "data": [ { "id": "deepseek/deepseek-r1", "object": "model", "owned_by": "deepseek", "context_length": 128000 }, { "id": "anthropic/claude-sonnet-4-20250514", "object": "model", "owned_by": "anthropic", "context_length": 200000 }, { "id": "google/gemini-2.5-pro", "object": "model", "owned_by": "google", "context_length": 1000000 }, { "id": "Byteplus/dreamina-seedance-2-5-260628", "object": "model", "owned_by": "byteplus", "modality": "video" } ] }
Was this page helpful?